---
__glxclans_host_os_mark: "{{ ansible_distribution | lower }}_{{ ansible_distribution_major_version }}"
__glxclans_role_vars_precedence:
  - "{{ __glxclans_host_os_mark }}_{{ ansible_architecture | lower }}.yml"
  - "{{ ansible_distribution | lower }}_{{ ansible_architecture | lower }}.yml"
  - "{{ ansible_distribution | lower }}_{{ ansible_distribution_major_version }}.yml"
  - "{{ ansible_distribution | lower }}.yml"

__glxclans_role_tasks_precedence:
  - "{{ __glxclans_host_os_mark }}_{{ ansible_architecture | lower }}/main.yml"
  - "{{ ansible_distribution | lower }}_{{ ansible_architecture | lower }}/main.yml"
  - "{{ ansible_distribution | lower }}_{{ ansible_distribution_major_version }}/main.yml"
  - "{{ ansible_distribution | lower }}/main.yml"

__glxclans_rproxy_nginx_config_file: "/etc/nginx/nginx.conf"
__glxclans_rproxy_nginx_modular_conf_directory_http: "/etc/nginx/conf.d"

__glxclans_rproxy_nginx_modular_conf_directory_modules_available: "/etc/nginx/modules-available"
__glxclans_rproxy_nginx_modular_conf_directory_modules_enabled: "/etc/nginx/modules-enabled"

__glxclans_rproxy_nginx_modular_conf_directory_sites_available: "/etc/nginx/sites-available"
__glxclans_rproxy_nginx_modular_conf_directory_sites_enabled: "/etc/nginx/sites-enabled"

__glxclans_rproxy_nginx_modular_conf_directory_streams_available: "/etc/nginx/streams-available"
__glxclans_rproxy_nginx_modular_conf_directory_streams_enabled: "/etc/nginx/streams-enabled"

__glxclans_rproxy_nginx_modular_conf_directory_mails_available: "/etc/nginx/mails-available"
__glxclans_rproxy_nginx_modular_conf_directory_mails_enabled: "/etc/nginx/mails-enabled"

__glxclans_rproxy_modular_config_directories:
  - "{{ __glxclans_rproxy_nginx_modular_conf_directory_modules_available }}"
  - "{{ __glxclans_rproxy_nginx_modular_conf_directory_modules_enabled }}"
  - "{{ __glxclans_rproxy_nginx_modular_conf_directory_http }}"
  - "{{ __glxclans_rproxy_nginx_modular_conf_directory_sites_available }}"
  - "{{ __glxclans_rproxy_nginx_modular_conf_directory_sites_enabled }}"
  - "{{ __glxclans_rproxy_nginx_modular_conf_directory_streams_available }}"
  - "{{ __glxclans_rproxy_nginx_modular_conf_directory_streams_enabled }}"
  - "{{ __glxclans_rproxy_nginx_modular_conf_directory_mails_available }}"
  - "{{ __glxclans_rproxy_nginx_modular_conf_directory_mails_enabled }}"
